Bug 1999853 - cluster-storage-operator not honoring the control plane topology setting for the csi driver operator deployment
Summary: cluster-storage-operator not honoring the control plane topology setting for ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: ibm-roks-toolkit
Version: 4.9
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 4.9.0
Assignee: Cesar Wong
QA Contact: Xiaoli Tian
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-31 19:46 UTC by Cesar Wong
Modified: 2021-10-18 17:50 UTC (History)
0 users

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:50:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-storage-operator pull 208 0 None None None 2021-08-31 19:46:57 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:50:56 UTC

Description Cesar Wong 2021-08-31 19:46:02 UTC
Description of problem:
cluster-storage-operator is not clearing the node selector for csi driver operator deployments when control plane topology is set to External.

Version-Release number of selected component (if applicable):
4.9

How reproducible:
Always

Comment 27 Cesar Wong 2021-09-09 21:32:27 UTC
Verified with 4.9.0-0.nightly-2021-09-09-145014

Comment 30 errata-xmlrpc 2021-10-18 17:50:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.